
Redmine - Feature #8152

Render Version and User custom fields as links

2011-04-14 16:17 - Etienne Massip

Status: Closed Start date: 2011-04-14

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Custom fields Estimated time: 0.00 hour

Target version: 2.5.0   

Resolution: Fixed   

Description

That would be nice if custom fields which type is one of the recently introduced Version and User are rendered not as raw text but as

links to the specified version page or user profile page, just as anywhere else in the application.

Related issues:

Related to Redmine - Feature #2096: Custom fields referencing system tables (... Closed 2008-10-27

Has duplicate Redmine - Feature #8492: Custom Field of Version type should be... Closed 2011-06-01

History

#1 - 2011-04-14 16:20 - Etienne Massip

- Assignee set to Jean-Philippe Lang

As suggested in #2096 =)

#2 - 2011-06-01 19:30 - Etienne Massip

There is a patch attached to #8492.

#3 - 2012-01-07 16:07 - Alexei Kornienko

- File issues_helper.rb.patch added

Hi, Please find patch attached.

#4 - 2013-11-16 10:26 - Jean-Philippe Lang

- Target version changed from Candidate for next major release to 2.5.0

#5 - 2013-12-11 15:11 - Dipan Mehta

+1. This is really essential feature. However, the same should be applied not only for issue page, but also on version's page and project page - as we

have user_type fields for projects (incharge, etc.) and version (testing etc.).

I had tried working out a patch where format_value() function itself returns the link thereby one doesn't have to repeat the conditionals on each such

entity (issue/version/page). Unfortunately, it didn't quite work because of h() function being used before display.

Anyway, I hope this should be available at least for version and project page as well.

#6 - 2013-12-22 15:16 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

Done in 2.5.0, not just for issues.

Files

issues_helper.rb.patch 966 Bytes 2012-01-07 Alexei Kornienko
